Subject: Re: [PATCH bpf-next 2/6] libbpf: Collect static vs global info about functions

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 09 Jan 2020 09:50:53 +0100

Yonghong Song <[email-masked]> writes:

> On 1/8/20 2:25 AM, Toke Høiland-Jørgensen wrote:
>> Alexei Starovoitov <[email-masked]> writes:
>> 
>>> Collect static vs global information about BPF functions from ELF file and
>>> improve BTF with this additional info if llvm is too old and doesn't emit it on
>>> its own.
>> 
>> Has the support for this actually landed in LLVM yet? I tried grep'ing
>> in the commit log and couldn't find anything...
>
> It has not landed yet. The commit link is:
>     https://reviews.llvm.org/D71638
>
> I will try to land the patch in the next couple of days once this series
> of patch is merged or the principle of the patch is accepted.

OK. My next question was going to be whether you're planning to get this
into LLVM master before the cutoff date for LLVM10, but I see Alexei
already answered that in the other reply, so great!

-Toke